- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# xcb_list_fonts_with_info_reply_t Struct Reference
[XCB API]

xcb_list_fonts_with_info_reply_t More...

`#include <xproto.h>`

Collaboration diagram for xcb_list_fonts_with_info_reply_t:

[legend]

## Data Fields
uint8_t | response_type
uint8_t | name_len
uint16_t | sequence
uint32_t | length
xcb_charinfo_t | min_bounds
uint8_t | pad0 [4]
xcb_charinfo_t | max_bounds
uint8_t | pad1 [4]
uint16_t | min_char_or_byte2
uint16_t | max_char_or_byte2
uint16_t | default_char
uint16_t | properties_len
uint8_t | draw_direction
uint8_t | min_byte1
uint8_t | max_byte1
uint8_t | all_chars_exist
int16_t | font_ascent
int16_t | font_descent
uint32_t | replies_hint

## Detailed Description

xcb_list_fonts_with_info_reply_t

## Field Documentation

uint8_t xcb_list_fonts_with_info_reply_t::response_type

uint8_t xcb_list_fonts_with_info_reply_t::name_len

uint16_t xcb_list_fonts_with_info_reply_t::sequence

uint32_t xcb_list_fonts_with_info_reply_t::length

xcb_charinfo_t xcb_list_fonts_with_info_reply_t::min_bounds

uint8_t xcb_list_fonts_with_info_reply_t::pad0[4]

xcb_charinfo_t xcb_list_fonts_with_info_reply_t::max_bounds

uint8_t xcb_list_fonts_with_info_reply_t::pad1[4]

uint16_t xcb_list_fonts_with_info_reply_t::min_char_or_byte2

uint16_t xcb_list_fonts_with_info_reply_t::max_char_or_byte2

uint16_t xcb_list_fonts_with_info_reply_t::default_char

uint16_t xcb_list_fonts_with_info_reply_t::properties_len

uint8_t xcb_list_fonts_with_info_reply_t::draw_direction

uint8_t xcb_list_fonts_with_info_reply_t::min_byte1

uint8_t xcb_list_fonts_with_info_reply_t::max_byte1

uint8_t xcb_list_fonts_with_info_reply_t::all_chars_exist

int16_t xcb_list_fonts_with_info_reply_t::font_ascent

int16_t xcb_list_fonts_with_info_reply_t::font_descent

uint32_t xcb_list_fonts_with_info_reply_t::replies_hint

The documentation for this struct was generated from the following file:

- xproto.h